Subject: Re: [bug#72406] [PATCH emacs-team WIP 0/4] Simplify creation of emacs package variants

From: Suhail Singh <[email-masked]>
Date: Thu, 01 Aug 2024 02:02:35 -0400

Liliana Marie Prikler <[email-masked]> writes:

>> I propose that the patch to change the defaults for the
>> emacs-build-system should perhaps be tackled in a different issue
>> than the patch series that provides procedures to create variants of
>> packages.
> None of the emacsen are native-comp-compatible to each other.  
> By design: they have different feature sets, so they get different
> tags.

I didn't realize they were ABI incompatible.  Okay.

> For package naming, "emacs" should mean "emacs", not "emacs-minimal" or
> "emacs-no-x".
>
>> > and provide procedures to create emacs-next-*, emacs-minimal-*, and
>> > emacs-pgtk-* variants of packages.
>> 
>> These seem useful.  However, it may help to have an example of one of
>> these being used.
> Example: I am personally using emacs-pgtk.

I meant that it would be helpful to see an example of, say,
package-with-emacs-pgtk in the patch series.

-- 
Suhail